Bug 100426 - Telnet -K doet not work, "toggle autologin" says "'autologin': unknown argument "
Telnet -K doet not work, "toggle autologin" says "'autologin': unknown argum...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-22 06:03 EDT by Eduard Vopicka
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 10:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduard Vopicka 2003-07-22 06:03:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
The "-K" option seens to do nothing in telnet that comes with RedHat 9.
Even more, "toggle autologin" doe not work:

[eda@eda tmp]$ telnet
telnet> toggle autologin
'autologin': unknown argument ('toggle ?' for help).
telnet> toggle ?

and autologin is not listed as valid toggle argument by "toggle ?".

Even if both "-K" and "toggle autologin are metioned on telnet man page.

-K      Specifies no automatic login to the remote system.

        autologin     If the remote side supports the TELNET
                              AUTHENTICATION option TELNET attempts to use it
                              to perform automatic authentication.  If the
                              AUTHENTICATION option is not supported, the
                              user's login name are propagated through the
                              TELNET ENVIRON option.  This command is the same
                              as specifying a option on the open command.


Version-Release number of selected component (if applicable):
telnet-0.17-25

How reproducible:
Always

Steps to Reproduce:
1. telnet
2. telnet> toggle autologin


    

Additional info:
Comment 1 Harald Hoyer 2003-09-01 10:16:07 EDT
Well, well...

# rpm -Uvh ~/telnet-0.17-25.src.rpm --oldpackage
Password:
   1:telnet                 ########################################### [100%]
[harald@faro telnet]$ telnet -K
telnet> toggle autologin
Will send login name and/or authentication information.
telnet> toggle autologin
Won't send login name and/or authentication information.
telnet> toggle help
autoflush       toggle flushing of output when sending interrupt characters
autosynch       toggle automatic sending of interrupt characters in urgent mode
autologin       toggle automatic sending of login and/or authentication info
authdebug       toggle Toggle authentication debugging
autoencrypt     toggle automatic encryption of data stream
autodecrypt     toggle automatic decryption of data stream
verbose_encrypt toggle Toggle verbose encryption output
encdebug        toggle Toggle encryption debugging
skiprc          toggle don't read ~/.telnetrc file
binary          toggle sending and receiving of binary data
inbinary        toggle receiving of binary data
outbinary       toggle sending of binary data
crlf            toggle sending carriage returns as telnet <CR><LF>
crmod           toggle mapping of received carriage returns
localchars      toggle local recognition of certain control characters

debug           toggle debugging
netdata         toggle printing of hexadecimal network data (debugging)
prettydump      toggle output of "netdata" to user readable format (debugging)
options         toggle viewing of options processing (debugging)
termdata        toggle (debugging) toggle printing of hexadecimal terminal data

?               display help information
telnet>
Comment 2 Harald Hoyer 2003-09-01 10:18:09 EDT
oops, first line was the installation of the src.rpm... anyway...

[harald@faro telnet]$ telnet -K
telnet> toggle autologin
Will send login name and/or authentication information.
telnet> toggle autologin
Won't send login name and/or authentication information.
telnet> [harald@faro telnet]$
[harald@faro telnet]$ rpm -q telnet
telnet-0.17-25

Note You need to log in before you can comment on or make changes to this bug.